<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	 
	   
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  $cd =$_POST['id_cd'];

 
 
 echo"$fecha1 $fecha2 $cd";
 

$q2 = "SELECT sum(cant), id_prod, nombreProd FROM transacciones join pedido on transacciones.idtransacciones=pedido.transacciones_idtransacciones join productos on pedido.productos_idprod=productos.id_prod WHERE transacciones.statusentrega='PENDIENTE' and cdentrega='$cd' and fechat between \"$fecha1\" and \"$fecha2\" group by id_prod ";

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta1' . mysqli_error($conexion));
  echo"<center><br><table border=\"1\"> <tr>
			<th>Cantidad</th><th>Producto</th><th>id_prod</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[2];
	   $a2 = $r1[1];
	   $a3 = $r1[3];
	 
	 
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a2</td></tr>";
	}
	
  echo"</table>";
	
  
  
  
?>